--- old/usr/src/uts/common/os/lgrp.c	2015-05-08 18:04:28.820539877 -0400
+++ new/usr/src/uts/common/os/lgrp.c	2015-05-08 18:04:28.828161538 -0400
@@ -3501,7 +3501,6 @@
 lgrp_mem_policy_info_t *
 lgrp_mem_policy_get(struct seg *seg, caddr_t vaddr)
 {
-	lgrp_mem_policy_info_t	*policy_info;
 	extern struct seg_ops	segspt_ops;
 	extern struct seg_ops	segspt_shmops;
 
@@ -3514,11 +3513,7 @@
 	    seg->s_ops != &segspt_shmops)
 		return (NULL);
 
-	policy_info = NULL;
-	if (seg->s_ops->getpolicy != NULL)
-		policy_info = segop_getpolicy(seg, vaddr);
-
-	return (policy_info);
+	return (segop_getpolicy(seg, vaddr));
 }
 
 /*
--- old/usr/src/uts/common/vm/seg_dev.c	2015-05-08 18:04:29.177671390 -0400
+++ new/usr/src/uts/common/vm/seg_dev.c	2015-05-08 18:04:29.185226799 -0400
@@ -183,7 +183,6 @@
 		    struct page ***, enum lock_type, enum seg_rw);
 static int	segdev_setpagesize(struct seg *, caddr_t, size_t, uint_t);
 static int	segdev_getmemid(struct seg *, caddr_t, memid_t *);
-static lgrp_mem_policy_info_t	*segdev_getpolicy(struct seg *, caddr_t);
 static int	segdev_capable(struct seg *, segcapability_t);
 
 /*
@@ -212,7 +211,6 @@
 	.pagelock	= segdev_pagelock,
 	.setpagesize	= segdev_setpagesize,
 	.getmemid	= segdev_getmemid,
-	.getpolicy	= segdev_getpolicy,
 	.capable	= segdev_capable,
 };
 
@@ -4031,13 +4029,6 @@
 }
 
 /*ARGSUSED*/
-static lgrp_mem_policy_info_t *
-segdev_getpolicy(struct seg *seg, caddr_t addr)
-{
-	return (NULL);
-}
-
-/*ARGSUSED*/
 static int
 segdev_capable(struct seg *seg, segcapability_t capability)
 {
--- old/usr/src/uts/common/vm/seg_kmem.c	2015-05-08 18:04:29.529226843 -0400
+++ new/usr/src/uts/common/vm/seg_kmem.c	2015-05-08 18:04:29.536541387 -0400
@@ -750,13 +750,6 @@
 }
 
 /*ARGSUSED*/
-static lgrp_mem_policy_info_t *
-segkmem_getpolicy(struct seg *seg, caddr_t addr)
-{
-	return (NULL);
-}
-
-/*ARGSUSED*/
 static int
 segkmem_capable(struct seg *seg, segcapability_t capability)
 {
@@ -773,7 +766,6 @@
 	.dump		= segkmem_dump,
 	.pagelock	= segkmem_pagelock,
 	.getmemid	= segkmem_getmemid,
-	.getpolicy	= segkmem_getpolicy,
 	.capable	= segkmem_capable,
 };
 
--- old/usr/src/uts/common/vm/seg_kp.c	2015-05-08 18:04:29.784666633 -0400
+++ new/usr/src/uts/common/vm/seg_kp.c	2015-05-08 18:04:29.791992049 -0400
@@ -94,8 +94,6 @@
 			size_t len, struct segkp_data *kpd, uint_t flags);
 static struct	segkp_data *segkp_find(struct seg *seg, caddr_t vaddr);
 static int	segkp_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp);
-static lgrp_mem_policy_info_t	*segkp_getpolicy(struct seg *seg,
-    caddr_t addr);
 static int	segkp_capable(struct seg *seg, segcapability_t capability);
 
 /*
@@ -149,7 +147,6 @@
 	.dump		= segkp_dump,
 	.pagelock	= segkp_pagelock,
 	.getmemid	= segkp_getmemid,
-	.getpolicy	= segkp_getpolicy,
 	.capable	= segkp_capable,
 };
 
@@ -1374,13 +1371,6 @@
 }
 
 /*ARGSUSED*/
-static lgrp_mem_policy_info_t	*
-segkp_getpolicy(struct seg *seg, caddr_t addr)
-{
-	return (NULL);
-}
-
-/*ARGSUSED*/
 static int
 segkp_capable(struct seg *seg, segcapability_t capability)
 {
--- old/usr/src/uts/common/vm/seg_map.c	2015-05-08 18:04:30.032915387 -0400
+++ new/usr/src/uts/common/vm/seg_map.c	2015-05-08 18:04:30.040218325 -0400
@@ -88,8 +88,6 @@
 			struct page ***ppp, enum lock_type type,
 			enum seg_rw rw);
 static int	segmap_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp);
-static lgrp_mem_policy_info_t	*segmap_getpolicy(struct seg *seg,
-    caddr_t addr);
 static int	segmap_capable(struct seg *seg, segcapability_t capability);
 
 /* segkpm support */
@@ -110,7 +108,6 @@
 	.dump		= segmap_dump,
 	.pagelock	= segmap_pagelock,
 	.getmemid	= segmap_getmemid,
-	.getpolicy	= segmap_getpolicy,
 	.capable	= segmap_capable,
 };
 
@@ -2172,13 +2169,6 @@
 }
 
 /*ARGSUSED*/
-static lgrp_mem_policy_info_t *
-segmap_getpolicy(struct seg *seg, caddr_t addr)
-{
-	return (NULL);
-}
-
-/*ARGSUSED*/
 static int
 segmap_capable(struct seg *seg, segcapability_t capability)
 {
--- old/usr/src/uts/i86xpv/vm/seg_mf.c	2015-05-08 18:04:30.316060961 -0400
+++ new/usr/src/uts/i86xpv/vm/seg_mf.c	2015-05-08 18:04:30.323480781 -0400
@@ -500,13 +500,6 @@
 }
 
 /*ARGSUSED*/
-static lgrp_mem_policy_info_t *
-segmf_getpolicy(struct seg *seg, caddr_t addr)
-{
-	return (NULL);
-}
-
-/*ARGSUSED*/
 static int
 segmf_capable(struct seg *seg, segcapability_t capability)
 {
@@ -778,6 +771,5 @@
 	.pagelock	= segmf_pagelock,
 	.setpagesize	= segmf_setpagesize,
 	.getmemid	= segmf_getmemid,
-	.getpolicy	= segmf_getpolicy,
 	.capable	= segmf_capable,
 };
--- old/usr/src/uts/sparc/v9/vm/seg_nf.c	2015-05-08 18:04:30.543390760 -0400
+++ new/usr/src/uts/sparc/v9/vm/seg_nf.c	2015-05-08 18:04:30.550705899 -0400
@@ -78,8 +78,6 @@
 static int	segnf_setpagesize(struct seg *seg, caddr_t addr, size_t len,
 		    uint_t szc);
 static int	segnf_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp);
-static lgrp_mem_policy_info_t	*segnf_getpolicy(struct seg *seg,
-    caddr_t addr);
 
 
 struct seg_ops segnf_ops = {
@@ -107,7 +105,6 @@
 	.pagelock	= segnf_pagelock,
 	.setpagesize	= segnf_setpagesize,
 	.getmemid	= segnf_getmemid,
-	.getpolicy	= segnf_getpolicy,
 };
 
 /*
@@ -475,10 +472,3 @@
 {
 	return (ENODEV);
 }
-
-/*ARGSUSED*/
-static lgrp_mem_policy_info_t *
-segnf_getpolicy(struct seg *seg, caddr_t addr)
-{
-	return (NULL);
-}
